using UnityEngine;

[CreateAssetMenu]
public class AIStats : ScriptableObject {
	public float closeEnough = 1f;
	
    public Vector3[] roamPositions = null!;

    public Vector3 getRandomRoamPositon(){
        int randInd = Random.Range(0,roamPositions.Length-1);
        return roamPositions[randInd];
    }
	
	[field: SerializeField]
	public AnimationCurve ThrownCurve { get; }
	
	[field: SerializeField]
	public float ThrownDurationPerMeter { get; }
}